Support » Plugin: HubSpot for Gravity Forms » PHP 7.2 compatibility errors on gravityforms-hubspot

  • Can you please confirm/deny the PHP 7.2 compatibility? I’m receiving this error report on a PHP 7.2 compatibility test:

    FILE: /nas/content/live/devreplicon1/wp-content/plugins/gravityforms-hubspot/vendor/guzzlehttp/promises/src/functions.php
    ————————————————————————————————————————-
    FOUND 0 ERRORS AND 3 WARNINGS AFFECTING 3 LINES
    ————————————————————————————————————————-
    222 | WARNING | Function each() is deprecated since PHP 7.2; Use a foreach loop instead
    257 | WARNING | Function each() is deprecated since PHP 7.2; Use a foreach loop instead
    313 | WARNING | Function each() is deprecated since PHP 7.2; Use a foreach loop instead
    ————————————————————————————————————————-

    FILE: /nas/content/live/devreplicon1/wp-content/plugins/gravityforms-hubspot/vendor/ryanwinchester/hubspot-php/src/Resources/Resource.php
    ————————————————————————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————————————————————————————–
    5 | WARNING | ‘resource’ is a soft reserved keyword as of PHP version 7.0 and should not be used to name a class, interface or trait or as part of a namespace (T_CLASS)
    ————————————————————————————————————————————————————————–

  • The topic ‘PHP 7.2 compatibility errors on gravityforms-hubspot’ is closed to new replies.